#
# spec file for package usbutils (Version 0.12)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libusb resmgr

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool libusb perl resmgr rpm

Name:         usbutils
URL:          http://usb.cs.tum.edu/
Version:      0.72
Release:      1
Provides:     usb
Source0:      usbutils-%{version}.tar.bz2
Source1:      http://www.linux-usb.org/usb.ids
License:      GPL
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Tools and libraries for USB devices
Group:        Hardware/Other

%description
This package contains a utility for inspecting devices connected to USB
ports.

It requires kernel version 2.3.99-pre7 or newer, or the USB backport
which was introduced in 2.2.18 (supporting the /proc/bus/usb
interface).



Authors:
--------
    Georg Acher <acher at in dot tum dot de>
    Detlef Fliegl <fliegl at lrz dot de>
    Thomas Sailer <t.sailer at alumni dot ethz dot ch>
    Roman Weissgaerber <weissg at vienna dot at>

%prep
%setup -q -n usbutils-%{version}
cp -av %{SOURCE1} .

%build
rm -f aclocal.m4 \
config.guess \
config.sub \
configure \
depcomp \
install-sh \
ltconfig \
ltmain.sh \
Makefile.in \
missing \
mkinstalldirs
#
aclocal
autoheader
automake --include-deps --add-missing --foreign
autoconf
#
CFLAGS=$RPM_OPT_FLAGS \
./configure \
	--prefix=/usr \
	--datadir=%{_datadir} \
	--sbindir=/sbin \
	--mandir=%{_mandir} \
	--libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*usbmodules*" | xargs rm -fv

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, root) %{_mandir}/man8/*
%attr(0755, root, root) /sbin/*
%config /usr/share/usb.ids
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog -n usbutils
* Fri May 12 2006 - joe_morris@ntm.org
- update to 0.72 and usb,ids to 2006/05/04 version
* Tue Mar 15 2005 - joe_morris@ntm.org
- update to 0.70
- update usb.ids to 2005/03/15
* Fri Aug 27 2004 - olh@suse.de
- update usb.ids to 2004/04/30 status
* Wed Apr 21 2004 - olh@suse.de
- update to current cvs, drop usbmodules, build with libusb
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Sun Sep 07 2003 - olh@suse.de
- introduce /etc/usbmodules.blacklist.conf
  skip poking in /proc/bus/usb/*/* if a matching entry exists
  add usbmodules --showdriver /proc/bus/usb/*/*
* Sat Sep 06 2003 - olh@suse.de
- update usb.ids to 2003/09/04 status
* Mon Aug 25 2003 - adrian@suse.de
- Provide usb for update
* Sat Aug 09 2003 - olh@suse.de
- update usb.ids to 2003/06/20 status
  use kernel headers for module information
* Thu Jun 05 2003 - ro@suse.de
- include linux/types.h before linux/usb.h
* Sat May 17 2003 - olh@suse.de
- update usb.ids to 2003/03/13 status
  workaound broken rpm4 checks
* Mon Mar 17 2003 - olh@suse.de
- update usb.ids to 2003/03/13 status
* Fri Feb 07 2003 - olh@suse.de
- update usb.ids to 2003/02/05 status
* Sat Feb 01 2003 - olh@suse.de
- update usb.ids to 20030114 status
* Tue Dec 10 2002 - schwab@suse.de
- Only swap usb device descriptor read from /proc, not the raw usb
  packets.
* Sat Sep 28 2002 - olh@suse.de
- update to 0.11
  byswap bcdUSB,idVendor,idProduct,bcdDevice on big endian
* Sun Aug 04 2002 - olh@suse.de
- update usb.ids, dont mark it as config in specfile
* Tue Jul 23 2002 - olh@suse.de
- fix usb.ids
  reenable usbmodules, might be useable with new hotplug
* Thu Jul 11 2002 - olh@suse.de
- rename usbmodules to usbmodules.obsolete
* Wed Jul 10 2002 - olh@suse.de
- update to version 0.10, update usb.ids
* Sat May 04 2002 - olh@suse.de
- workaround broken lib64 detection
  update usb.ids
* Thu Feb 28 2002 - olh@suse.de
- update to latest http://www.linux-usb.org/usb.ids (#14046)
  update url in specfile
* Mon Sep 24 2001 - olh@suse.de
- update usb.ids from http://www.linux-usb.org/
* Mon Sep 24 2001 - olh@suse.de
- fix usb.ids (#11201)
* Mon Sep 03 2001 - olh@suse.de
- readd to distribution for series ap
  update to 0.8 for hotplug, usbmodules is needed
  dont use libs, they are in libusb
  add current usb.ids from linux-usb.org
* Tue Dec 05 2000 - schwab@suse.de
- Add %%suse_update_config.
* Thu Nov 30 2000 - olaf@suse.de
- add usbutils 0.7 to SuSE dist, will replace the usb.rpm
